<?php

\session_start();
require __DIR__ . '/common.php';
use Ministra\Lib\Admin;
use Ministra\Lib\bd5c9022e9a9029209e5fd05775ea272\K131970f0a776522b1a53ba419cd5e32c;
\Ministra\Lib\Admin::checkAuth();
$image_url = \Ministra\Lib\bd5c9022e9a9029209e5fd05775ea272\K131970f0a776522b1a53ba419cd5e32c::getSafe('vclub_info_provider', 'kinopoisk') == 'kinopoisk' ? 'kinopoisk.ru/' : 'image.tmdb.org/';
if ((\strpos($_GET['url'], 'http://') === 0 || \strpos($_GET['url'], 'https://') === 0) && \strpos($_GET['url'], $image_url)) {
    echo \file_get_contents($_GET['url']);
}
